{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_forms slow_message %}

{% block page_title %}{{ topic.subject|escape }}{% endblock %}

{% block breadcrumb %}
    <li class="breadcrumb-item">
        <a href="{% url 'slow_forum:topic-category-list' %}">
            {% translate "Topics categories" %}
        </a>
    </li>
    <li class="breadcrumb-item">
        <a href="{{ topic.category.get_absolute_url }}">
            {{ topic.category.title|escape }}
        </a>
    </li>
{% endblock %}

{% block content_title %}{{ topic.subject|escape }}{% endblock %}

{% block content_actions %}
    
    {% if perms.slow_forum.change_topic or topic.created_by == user %}
        <li class="nav-item ms-3">
            <a class="btn btn-outline-secondary my-auto" href="{% url 'slow_forum:topic-update' pk=topic.pk %}">{% translate "Edit" %}</a>
        </li>
    {% endif %}
    
    {% if perms.slow_forum.delete_topic %}
        <li class="nav-item ms-3">
            <a class="btn btn-outline-danger my-auto" href="{% url 'slow_forum:topic-delete' pk=topic.pk %}">{% translate "Delete" %}</a>
        </li>
    {% endif %}
{% endblock %}

{% block content %}
    <div class="topic vstack gap-5">

        {% topic_message topic %}

        <div class="replies_list" aria-description="{% translate "Replies list" %}">

            <h2 class="">
                {% if topic.replies_count == 0 %}
                    {% translate "Replies" %}
                {% elif topic.replies_count == 1 %}
                    {{ topic.replies_count }} {% translate "reply" %}
                {% else %}
                    {{ topic.replies_count }} {% translate "replies" %}
                {% endif %}
            </h2>
            
            {% for reply in topic.replies_set.all %}
                
                {% topic_reply_message reply %}

            {% empty %}

                <div class="no_reply mb-4">
                    <p>{% translate "No reply for now" %}</p>
                </div>
                
            {% endfor %}

        </div>

        <div class="reply_add">
            <h2>{% translate "Reply to this topic" %}</h2>
            {% if not user.is_anonymous %}
                {% if perms.slow_forum.add_topicreply %}
                    <form action="{% url 'slow_forum:topic-reply-add' topic_pk=topic.id %}" method="post">
                        {% csrf_token %}
                        {% bootstrap_form topic_reply_form %}
                        <input type="submit" class="btn btn-primary" value="{% translate "Reply" %}" />
                    </form>
                {% else %}
                    <p>{% translate "You need to have the permission to reply" %}</p>
                {% endif %}
            {% else %}
                <p>{% translate "You need to be logged to reply" %}</p>
            {% endif %}
        </div>

        <div class="secondary_actions">
            <a class="icon-link link-secondary" href="{% url 'slow_forum:feed-topic-replies-topic' topic_pk=topic.pk %}" title="{% translate "Feed with replies of this topic" %}">
                <i class="bi bi-rss-fill"></i> {% translate "Follow replies by feed" %}
            </a>
        </div>

    </div>
{% endblock %}
